Loading...
Searching...
No Matches
XrdClPropertyList.hh File Reference
`#include <map>`
`#include <string>`
`#include <sstream>`
`#include <algorithm>`
`#include "XrdCl/XrdClXRootDResponses.hh"`
Include dependency graph for XrdClPropertyList.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | XrdCl::PropertyList
| A key-value pair map storing both keys and values as strings. More...

## Namespaces

namespace | XrdCl

## Functions

template<>
std::string | XrdCl::PropertyList::Get< std::string > (const std::string &name) const
template<>
bool | XrdCl::PropertyList::Get< std::string > (const std::string &name, std::string &item) const
template<>
bool | XrdCl::PropertyList::Get< std::vector< std::string > > (const std::string &name, std::vector< std::string > &item) const
template<>
void | XrdCl::PropertyList::Set< std::vector< std::string > > (const std::string &name, const std::vector< std::string > &item)